<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Hardline/Scripts/4_world/dayzexpansion_hardline/systems/market/expansionmarketmodule.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/d1b/a09427_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionmarketmodule.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d9/d1b/a09427.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionMarketModule.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#ifdef EXPANSIONMODMARKET</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>modded <span class="keyword">class </span><a class="code hl_class" href="../../de/d60/a06018.html">ExpansionMarketModule</a></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>{</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    <span class="keyword">override</span> <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d60/a06018.html#abbf24a3d59480dda9a0f06a636f369c4">Exec_RequestPurchase</a>(notnull <a class="code hl_class" href="../../df/de5/a03966.html">PlayerBase</a> player, <span class="keywordtype">string</span> itemClassName, <span class="keywordtype">int</span> count, <span class="keywordtype">int</span> currentPrice, <a class="code hl_class" href="../../d7/de5/a05878.html">ExpansionTraderObjectBase</a> trader, <span class="keywordtype">bool</span> includeAttachments = <span class="keyword">true</span>, <span class="keywordtype">int</span> skinIndex = -1, TIntArray attachmentIDs = NULL)</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    {</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <span class="keywordflow">if</span> (!player)</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        {</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        }</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetHardline().UseHumanity &amp;&amp; <a class="code hl_function" href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetHardline().<a class="code hl_variable" href="../../d3/dbc/a01451.html#aea625c9f012627a70e95367bcc5f4e52">UseItemRarityForMarketPurchase</a>)</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>            <a class="code hl_enumeration" href="../../d9/d6f/a01445.html#a182896c3c414084d7214871d2338b7f5">ExpansionHardlineItemRarity</a> rarity = <a class="code hl_function" href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../d1/d07/a03482.html#a26a8c83b064ec9876d3b31d1584fba98">GetHardline</a>().GetItemRarityByType(itemClassName);</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>            <span class="keywordtype">int</span> required;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>            <span class="keywordflow">if</span> (rarity &amp;&amp; !HasHumanityForRarity(player, rarity, required))</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>            {</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>                StringLocaliser rankTitle = <span class="keyword">new</span> StringLocaliser(<span class="stringliteral">&quot;STR_EXPANSION_HARDLINE_MARKET_RANKLOW&quot;</span>);</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>                StringLocaliser rankText = <span class="keyword">new</span> StringLocaliser(<span class="stringliteral">&quot;STR_EXPANSION_HARDLINE_MARKET_RANKLOW_BUY_DESC&quot;</span>, required.ToString());</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>                <a class="code hl_function" href="../../df/df7/a00731.html#a035f8a89b4bc04b99c33feb27da703fd">ExpansionNotification</a>(rankTitle, rankText, <a class="code hl_variable" href="../../da/d28/a09115.html#a184a0075eaede2061c7a7d80cf8b419a">EXPANSION_NOTIFICATION_ICON_INFO</a>, <a class="code hl_variable" href="../../da/d28/a09115.html#a5afaae89c6d54fe0ddb36aee8f8de43c">COLOR_EXPANSION_NOTIFICATION_EXPANSION</a>, 3, <a class="code hl_enumeration" href="../../d6/dc0/a00734.html#a87895fe18688d17fbc88515ccb6f6c02">ExpansionNotificationType</a>.MARKET).<a class="code hl_function" href="../../de/da2/a04294.html#a2ab4a8dcede01c5fda12c99d6ba77fb2">Create</a>(player.GetIdentity());</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>                <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>            }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        }</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span> </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        super.Exec_RequestPurchase(player, itemClassName, count, currentPrice, trader, includeAttachments, skinIndex, attachmentIDs);</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    }</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    <span class="keyword">override</span> <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d60/a06018.html#a070aacdd80a22cc87936b28473d49ec5">Exec_RequestSell</a>(notnull <a class="code hl_class" href="../../df/de5/a03966.html">PlayerBase</a> player, <span class="keywordtype">string</span> itemClassName, <span class="keywordtype">int</span> count, <span class="keywordtype">int</span> playerSentPrice, <a class="code hl_class" href="../../d7/de5/a05878.html">ExpansionTraderObjectBase</a> trader, <a class="code hl_class" href="../../d4/d80/a06030.html">ExpansionMarketSellDebug</a> playerSentSellDebug)</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    {</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <span class="keywordflow">if</span> (!player)</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        {</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        }</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetHardline().UseHumanity &amp;&amp; <a class="code hl_function" href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetHardline().<a class="code hl_variable" href="../../d3/dbc/a01451.html#a0c3ab4998f8b2026500717f75af7904f">UseItemRarityForMarketSell</a>)</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>            <a class="code hl_enumeration" href="../../d9/d6f/a01445.html#a182896c3c414084d7214871d2338b7f5">ExpansionHardlineItemRarity</a> rarity = <a class="code hl_function" href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../d1/d07/a03482.html#a26a8c83b064ec9876d3b31d1584fba98">GetHardline</a>().GetItemRarityByType(itemClassName);</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>            <span class="keywordtype">int</span> required;</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>            <span class="keywordflow">if</span> (rarity &amp;&amp; !HasHumanityForRarity(player, rarity, required))</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>            {</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>                StringLocaliser rankTitle = <span class="keyword">new</span> StringLocaliser(<span class="stringliteral">&quot;STR_EXPANSION_HARDLINE_MARKET_RANKLOW&quot;</span>);</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>                StringLocaliser rankText = <span class="keyword">new</span> StringLocaliser(<span class="stringliteral">&quot;STR_EXPANSION_HARDLINE_MARKET_RANKLOW_SELL_DESC&quot;</span>, required.ToString());</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>                <a class="code hl_function" href="../../df/df7/a00731.html#a035f8a89b4bc04b99c33feb27da703fd">ExpansionNotification</a>(rankTitle, rankText, <a class="code hl_variable" href="../../da/d28/a09115.html#a184a0075eaede2061c7a7d80cf8b419a">EXPANSION_NOTIFICATION_ICON_INFO</a>, <a class="code hl_variable" href="../../da/d28/a09115.html#a5afaae89c6d54fe0ddb36aee8f8de43c">COLOR_EXPANSION_NOTIFICATION_EXPANSION</a>, 3, <a class="code hl_enumeration" href="../../d6/dc0/a00734.html#a87895fe18688d17fbc88515ccb6f6c02">ExpansionNotificationType</a>.MARKET).<a class="code hl_function" href="../../de/da2/a04294.html#a2ab4a8dcede01c5fda12c99d6ba77fb2">Create</a>(player.GetIdentity());</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>                <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>            }</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        }</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        super.Exec_RequestSell(player, itemClassName, count, playerSentPrice, trader, playerSentSellDebug);</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    }</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    <span class="keywordtype">bool</span> HasHumanityForRarity(<a class="code hl_class" href="../../df/de5/a03966.html">PlayerBase</a> player, <a class="code hl_enumeration" href="../../d9/d6f/a01445.html#a182896c3c414084d7214871d2338b7f5">ExpansionHardlineItemRarity</a> rarity, out <span class="keywordtype">int</span> required)</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    {</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        <span class="keywordflow">if</span> (rarity == <a class="code hl_enumeration" href="../../d9/d6f/a01445.html#a182896c3c414084d7214871d2338b7f5">ExpansionHardlineItemRarity</a>.NONE)</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        {</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        }</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span> </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        required = <a class="code hl_function" href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../d1/d07/a03482.html#a26a8c83b064ec9876d3b31d1584fba98">GetHardline</a>().GetHumanityForRarity(rarity);</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span> </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        <span class="keywordflow">if</span> (player.<a class="code hl_function" href="../../df/de5/a03966.html#af149eb8452fed453330a639086d9b103">IsBandit</a>())</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>            required = -required;</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span> </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        <span class="keywordflow">return</span> Math.AbsFloat(player.<a class="code hl_function" href="../../df/de5/a03966.html#aba8483a9c057b051b05c270b514d8506">GetHumanity</a>()) &gt;= Math.AbsFloat(required);</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    }</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>};</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span><span class="preprocessor">#endif</span></div>
<div class="ttc" id="aa00731_html_a035f8a89b4bc04b99c33feb27da703fd"><div class="ttname"><a href="../../df/df7/a00731.html#a035f8a89b4bc04b99c33feb27da703fd">ExpansionNotification</a></div><div class="ttdeci">class ExpansionNotificationTemplate&lt; Class T &gt; ExpansionNotification(StringLocaliser title, StringLocaliser text, string icon=&quot;&quot;, int color=0, float time=7, ExpansionNotificationType type=ExpansionNotificationType.TOAST)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/df7/a00731_source.html#l00066">expansionnotificationsystem.c:132</a></div></div>
<div class="ttc" id="aa00734_html_a87895fe18688d17fbc88515ccb6f6c02"><div class="ttname"><a href="../../d6/dc0/a00734.html#a87895fe18688d17fbc88515ccb6f6c02">ExpansionNotificationType</a></div><div class="ttdeci">ExpansionNotificationType</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/dc0/a00734_source.html#l00013">notificationruntimedata.c:14</a></div></div>
<div class="ttc" id="aa01445_html_a182896c3c414084d7214871d2338b7f5"><div class="ttname"><a href="../../d9/d6f/a01445.html#a182896c3c414084d7214871d2338b7f5">ExpansionHardlineItemRarity</a></div><div class="ttdeci">ExpansionHardlineItemRarity</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d6f/a01445_source.html#l00013">dayzexpansion_hardline_enums.c:14</a></div></div>
<div class="ttc" id="aa01451_html_a0c3ab4998f8b2026500717f75af7904f"><div class="ttname"><a href="../../d3/dbc/a01451.html#a0c3ab4998f8b2026500717f75af7904f">UseItemRarityForMarketSell</a></div><div class="ttdeci">bool UseItemRarityForMarketSell</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dbc/a01451_source.html#l00094">expansionhardlinesettings.c:94</a></div></div>
<div class="ttc" id="aa01451_html_aea625c9f012627a70e95367bcc5f4e52"><div class="ttname"><a href="../../d3/dbc/a01451.html#aea625c9f012627a70e95367bcc5f4e52">UseItemRarityForMarketPurchase</a></div><div class="ttdeci">bool UseItemRarityForMarketPurchase</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dbc/a01451_source.html#l00093">expansionhardlinesettings.c:93</a></div></div>
<div class="ttc" id="aa03482_html_a26a8c83b064ec9876d3b31d1584fba98"><div class="ttname"><a href="../../d1/d07/a03482.html#a26a8c83b064ec9876d3b31d1584fba98">ExpansionSettings::GetHardline</a></div><div class="ttdeci">ExpansionHardlineSettings GetHardline(bool checkLoaded=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d5d/a08743_source.html#l00048">expansionsettings.c:48</a></div></div>
<div class="ttc" id="aa03966_html"><div class="ttname"><a href="../../df/de5/a03966.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d29/a08947_source.html#l00013">playerbase.c:14</a></div></div>
<div class="ttc" id="aa03966_html_aba8483a9c057b051b05c270b514d8506"><div class="ttname"><a href="../../df/de5/a03966.html#aba8483a9c057b051b05c270b514d8506">PlayerBase::GetHumanity</a></div><div class="ttdeci">int GetHumanity()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d31/a08956_source.html#l00032">playerbase.c:32</a></div></div>
<div class="ttc" id="aa03966_html_af149eb8452fed453330a639086d9b103"><div class="ttname"><a href="../../df/de5/a03966.html#af149eb8452fed453330a639086d9b103">PlayerBase::IsBandit</a></div><div class="ttdeci">bool IsBandit()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d31/a08956_source.html#l00022">playerbase.c:22</a></div></div>
<div class="ttc" id="aa04294_html_a2ab4a8dcede01c5fda12c99d6ba77fb2"><div class="ttname"><a href="../../de/da2/a04294.html#a2ab4a8dcede01c5fda12c99d6ba77fb2">ExpansionNotificationTemplate&lt; Class T &gt;::Create</a></div><div class="ttdeci">void Create(PlayerIdentity identity=NULL)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/df7/a00731_source.html#l00094">expansionnotificationsystem.c:94</a></div></div>
<div class="ttc" id="aa05878_html"><div class="ttname"><a href="../../d7/de5/a05878.html">ExpansionTraderObjectBase</a></div><div class="ttdoc">This class handles all trader functionality.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d66/a01856_source.html#l00097">expansiontraderbase.c:98</a></div></div>
<div class="ttc" id="aa06018_html"><div class="ttname"><a href="../../de/d60/a06018.html">ExpansionMarketModule</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/daa/a09430_source.html#l00175">expansionmarketmodule.c:176</a></div></div>
<div class="ttc" id="aa06018_html_a070aacdd80a22cc87936b28473d49ec5"><div class="ttname"><a href="../../de/d60/a06018.html#a070aacdd80a22cc87936b28473d49ec5">ExpansionMarketModule::Exec_RequestSell</a></div><div class="ttdeci">private void Exec_RequestSell(notnull PlayerBase player, string itemClassName, int count, int playerSentPrice, ExpansionTraderObjectBase trader, ExpansionMarketSellDebug playerSentSellDebug)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/daa/a09430_source.html#l02776">expansionmarketmodule.c:2776</a></div></div>
<div class="ttc" id="aa06018_html_abbf24a3d59480dda9a0f06a636f369c4"><div class="ttname"><a href="../../de/d60/a06018.html#abbf24a3d59480dda9a0f06a636f369c4">ExpansionMarketModule::Exec_RequestPurchase</a></div><div class="ttdeci">private void Exec_RequestPurchase(notnull PlayerBase player, string itemClassName, int count, int currentPrice, ExpansionTraderObjectBase trader, bool includeAttachments=true, int skinIndex=-1, TIntArray attachmentIDs=NULL)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/daa/a09430_source.html#l02319">expansionmarketmodule.c:2319</a></div></div>
<div class="ttc" id="aa06030_html"><div class="ttname"><a href="../../d4/d80/a06030.html">ExpansionMarketSellDebug</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/dfb/a01874_source.html#l00154">expansionmarketsellitem.c:155</a></div></div>
<div class="ttc" id="aa08737_html_a0a20d14d2f55a927a3b0eab0623f5cf9"><div class="ttname"><a href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a></div><div class="ttdeci">static ExpansionSettings GetExpansionSettings()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1c/a08737_source.html#l00262">expansionsettings.c:262</a></div></div>
<div class="ttc" id="aa09115_html_a184a0075eaede2061c7a7d80cf8b419a"><div class="ttname"><a href="../../da/d28/a09115.html#a184a0075eaede2061c7a7d80cf8b419a">EXPANSION_NOTIFICATION_ICON_INFO</a></div><div class="ttdeci">static const string EXPANSION_NOTIFICATION_ICON_INFO</div><div class="ttdoc">New icons.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d28/a09115_source.html#l00190">expansionconstants.c:190</a></div></div>
<div class="ttc" id="aa09115_html_a5afaae89c6d54fe0ddb36aee8f8de43c"><div class="ttname"><a href="../../da/d28/a09115.html#a5afaae89c6d54fe0ddb36aee8f8de43c">COLOR_EXPANSION_NOTIFICATION_EXPANSION</a></div><div class="ttdeci">static const int COLOR_EXPANSION_NOTIFICATION_EXPANSION</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d28/a09115_source.html#l00073">expansionconstants.c:73</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_8f89211ef9a4afdd3d12a94e1d54a2ba.html">Hardline</a></li><li class="navelem"><a class="el" href="../../dir_d6262d0b66982b5ff6377647c75ed4bb.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_752058f2d0d754e2fa6b7cc4e16dfe3a.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_3872e1d381c2caf89c9219807ff74a70.html">dayzexpansion_hardline</a></li><li class="navelem"><a class="el" href="../../dir_a7676a83dcefcc43a40e19741658910e.html">systems</a></li><li class="navelem"><a class="el" href="../../dir_f47a98e114dc87756fe4fedc51996587.html">market</a></li><li class="navelem"><a class="el" href="../../d9/d1b/a09427.html">expansionmarketmodule.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
